japa.parser.ast.body

## Class Parameter

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.body.Parameter

    public final class Parameter
    extends Node

### Constructor Summary

Constructors
Constructor and Description
`Parameter()`
`Parameter(int beginLine, int beginColumn, int endLine, int endColumn, int modifiers, List<AnnotationExpr> annotations, Type type, boolean isVarArgs, VariableDeclaratorId id)`
`Parameter(int modifiers, Type type, VariableDeclaratorId id)`
`Parameter(Type type, VariableDeclaratorId id)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`List<AnnotationExpr>` `getAnnotations()`
`VariableDeclaratorId` `getId()`
`int` `getModifiers()` Return the modifiers of this parameter declaration.
`Type` `getType()`
`boolean` `isVarArgs()`
`void` `setAnnotations(List<AnnotationExpr> annotations)`
`void` `setId(VariableDeclaratorId id)`
`void` `setModifiers(int modifiers)`
`void` `setType(Type type)`
`void` `setVarArgs(boolean isVarArgs)`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Parameter

    public Parameter()

#### Parameter

    public Parameter(Type type,
             VariableDeclaratorId id)

#### Parameter

    public Parameter(int modifiers,
             Type type,
             VariableDeclaratorId id)

#### Parameter

    public Parameter(int beginLine,
             int beginColumn,
             int endLine,
             int endColumn,
             int modifiers,
             List<AnnotationExpr> annotations,
             Type type,
             boolean isVarArgs,
             VariableDeclaratorId id)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getAnnotations

    public List<AnnotationExpr> getAnnotations()

#### getId

    public VariableDeclaratorId getId()

#### getModifiers

    public int getModifiers()

Return the modifiers of this parameter declaration.

Returns:
  modifiers
See Also:
  `ModifierSet`

#### getType

    public Type getType()

#### isVarArgs

    public boolean isVarArgs()

#### setAnnotations

    public void setAnnotations(List<AnnotationExpr> annotations)

#### setId

    public void setId(VariableDeclaratorId id)

#### setModifiers

    public void setModifiers(int modifiers)

#### setType

    public void setType(Type type)

#### setVarArgs

    public void setVarArgs(boolean isVarArgs)